Bug 211772 - gitk doesn't respect $GIT_OBJECT_DIRECTORY
gitk doesn't respect $GIT_OBJECT_DIRECTORY
Product: Fedora
Classification: Fedora
Component: git (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Wright
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-10-22 11:47 EDT by Frank Ch. Eigler
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: git-1_5_0_2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-03-19 19:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Frank Ch. Eigler 2006-10-22 11:47:35 EDT
Description of problem:
gitk dies if GIT_OBJECT_DIRECTORY being set means .git/objects is replaced
by a directory elsewhere

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
2. check out some git repo
3. observer that .git/objects does not exist
4. run gitk in same directory
Actual results:
gitk crashes

Expected results:
gitk should run

Additional info:
Putting a symlink .git/objects -> $GIT_OBJECT_DIRECTORY kludges around this
Comment 1 Frank Ch. Eigler 2006-11-27 23:50:54 EST
According to an strace, this appears to come from git ls-remote => git-peek-remote
Comment 2 Chris Wright 2007-03-19 19:29:18 EDT
This works fine for me.  peek-remote has been properly using setup_git_directory
since version git version 1.0 AFAICT.  And current gitk no longer use ls-remote,
but instead uses show-ref (since 1.5.0.x).  I'm closing this as CURRENTRELASE,
starting with  Please reopen if this is still a problem.

Note You need to log in before you can comment on or make changes to this bug.